//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/ammo.h                                                   $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 6:14 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Base class for all ammunition for entities derived from the Weapon class.
//

#ifndef __AMMO_H__
#define __AMMO_H__

#include "g_local.h"
#include "item.h"
#include "sentient.h"
#include "item.h"

class Ammo : public Item
{
protected:
	virtual void        Setup( const char* model );

public:
	CLASS_PROTOTYPE( Ammo );

	Ammo();
};

class Bullet10mm : public Ammo
{
public:
	CLASS_PROTOTYPE( Bullet10mm );

	Bullet10mm();
};

class Bullet50mm : public Ammo
{
public:
	CLASS_PROTOTYPE( Bullet50mm );

	Bullet50mm();
};

class BulletPulse : public Ammo
{
public:
	CLASS_PROTOTYPE( BulletPulse );

	BulletPulse();
};

class BulletSniper : public Ammo
{
public:
	CLASS_PROTOTYPE( BulletSniper );

	BulletSniper();
};

class Rockets : public Ammo
{
public:
	CLASS_PROTOTYPE( Rockets );

	Rockets();
};

class Spears : public Ammo
{
public:
	CLASS_PROTOTYPE( Spears );

	Spears();
};

class ShotgunClip : public Ammo
{
public:
	CLASS_PROTOTYPE( ShotgunClip );

	ShotgunClip();
};

class SpiderMines : public Ammo
{
public:
	CLASS_PROTOTYPE( SpiderMines );

	SpiderMines();
};

#endif /* ammo.h */
